-- Initialization
local brighterLights = settings.startup["brighterLights"].value

-- Brighter Lights
if brighterLights then
    for _, player in pairs(data.raw["player"]) do
        player.light = 
        {
            {
                intensity = 0.9,
                size = 150,
            },
        }
    end
    for _, vehicle in pairs(data.raw["car"]) do
        vehicle.light =
        {
            {
                intensity = 0.9,
                size = 150,
            },
        }
    end
    for _, locomotive in pairs(data.raw["locomotive"]) do
        locomotive.front_light =
        {
            {
                intensity = 0.9,
                size = 150,
            },
            {
                intensity = 0.9,
                size = 150,
            },
        }
        locomotive.stand_by_light =
        {
            {
                color = {b=1},
                shift = {-0.6, -3.5},
                size = 2,
                intensity = 0.5,
            },
            {
                intensity = 0.9,
                size = 60,
            },
        }
    end
end
