script.on_init(function()
        applyRuntimeGlobalSettings()
    end)

script.on_configuration_changed(function(data)
        applyRuntimeGlobalSettings()
    end)

script.on_event(defines.events.on_runtime_mod_setting_changed,function()
        applyRuntimeGlobalSettings()
    end)

function applyRuntimeGlobalSettings()
    -- Inventory Size
    game.forces["player"].character_inventory_slots_bonus = settings.global["inventorySize"]["value"] - 80
    
    -- Long Reach
    game.forces["player"].character_build_distance_bonus = settings.global["longReachBuildDistance"]["value"] - 10
    game.forces["player"].character_item_drop_distance_bonus = settings.global["longReachReachDistance"]["value"] - 10
    game.forces["player"].character_reach_distance_bonus = settings.global["longReachReachDistance"]["value"] - 10
    game.forces["player"].character_resource_reach_distance_bonus = settings.global["longReachReachDistance"]["value"] - 10
    
    -- Fills
    --for _, force in pairs(game.forces) do
        --if settings.global["cheaperLandfill"]["value"] == true then
        --    force.recipes["landfill"].result_count = 10
        --else
        --    force.recipes["landfill"].result_count = 1
        --end
        --if settings.global["waterfill"]["value"] == true then
        --    force.recipes["waterfill"].enabled = true
        --else
        --    force.recipes["waterfill"].enabled = false
        --end
    --end
end
